Subject: Re: bug#7617: 24.0.50; `expand-file-name': removal of slashes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Dec 2010 18:17:41 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Mon, 13 Dec 2010 07:47:49 -0800
> 
> This is raw user input.  I want to keep the prefix, if any, as it is (modulo ~
> and any other changes `expand*' makes except for slash collapsing).  I don't
> ever remove the prefix.  Emacs (e.g. file-name reading) handles
> (ignores/removes) the prefix when the user finally hits RET.

But then why do you need to expand it? why not keep it as the user
typed it, ~/ and whatnot?  You can then expand it when the user hits
RET, like Emacs does normally.

> I get the message that I haven't missed some obviously better solution.

I'm still not in a position to judge, since I don't know enough about
what you are trying to accomplish.

> Thanks for adding mention of slash collapsing to the doc string.  I hope you
> will also consider mentioning that a valid file name is expected and anything
> else results in undefined behavior.  Feel free to close the bug now.

Done, on both counts.